WMLAElementImpl (Other Classes)
Date: 2018-10-16

org.apache.wml.dom

## Class WMLAElementImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.ChildNode
    - - org.apache.xerces.dom.ParentNode
      - - org.apache.xerces.dom.ElementImpl
        - - org.apache.wml.dom.WMLElementImpl
          - - org.apache.wml.dom.WMLAElementImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, WMLAElement, WMLElement, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

      public class WMLAElementImpl
      extends WMLElementImpl
      implements WMLAElement

  Version:
    $Id: WMLAElementImpl.java 661560 2008-05-30 03:22:25Z mrglavas $
  Author:
    David Li
  See Also:
    Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.dom.ElementImpl

      `attributes, name`

    - ### Fields inherited from class org.apache.xerces.dom.ParentNode

      `firstChild, fNodeListCache, ownerDocument`

    - ### Fields inherited from class org.apache.xerces.dom.ChildNode

      `nextSibling, previousSibling`

    - ### Fields inherited from class org.apache.xerces.dom.NodeImpl

      `DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WMLAElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()`
    `java.lang.String` | `getHref()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getXmlLang()`
    `void` | `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
    `void` | `setHref(java.lang.String newValue)`
    `void` | `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
    `void` | `setTitle(java.lang.String newValue)`
    `void` | `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

    - ### Methods inherited from class org.apache.xerces.dom.ElementImpl

      `cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

    - ### Methods inherited from class org.apache.xerces.dom.ParentNode

      `getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

    - ### Methods inherited from class org.apache.xerces.dom.ChildNode

      `getNextSibling, getParentNode, getPreviousSibling`

    - ### Methods inherited from class org.apache.xerces.dom.NodeImpl

      `addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### WMLAElementImpl

          public WMLAElementImpl(WMLDocumentImpl owner,
                                 java.lang.String tagName)

  - ### Method Detail

    - #### setHref

          public void setHref(java.lang.String newValue)

      Specified by:
        `setHref` in interface `WMLAElement`

    - #### getHref

          public java.lang.String getHref()

      Specified by:
        `getHref` in interface `WMLAElement`

    - #### setClassName

          public void setClassName(java.lang.String newValue)

      Description copied from interface: `WMLElement`
      The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)
      Specified by:
        `setClassName` in interface `WMLElement`
      Overrides:
        `setClassName` in class `WMLElementImpl`

    - #### getClassName

          public java.lang.String getClassName()

      Specified by:
        `getClassName` in interface `WMLElement`
      Overrides:
        `getClassName` in class `WMLElementImpl`

    - #### setXmlLang

          public void setXmlLang(java.lang.String newValue)

      Description copied from interface: `WMLAElement`
      'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)
      Specified by:
        `setXmlLang` in interface `WMLAElement`
      Overrides:
        `setXmlLang` in class `WMLElementImpl`

    - #### getXmlLang

          public java.lang.String getXmlLang()

      Specified by:
        `getXmlLang` in interface `WMLAElement`
      Overrides:
        `getXmlLang` in class `WMLElementImpl`

    - #### setTitle

          public void setTitle(java.lang.String newValue)

      Specified by:
        `setTitle` in interface `WMLAElement`

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `WMLAElement`

    - #### setId

          public void setId(java.lang.String newValue)

      Description copied from interface: `WMLElement`
      The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)
      Specified by:
        `setId` in interface `WMLAElement`
      Specified by:
        `setId` in interface `WMLElement`
      Overrides:
        `setId` in class `WMLElementImpl`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `WMLAElement`
      Specified by:
        `getId` in interface `WMLElement`
      Overrides:
        `getId` in class `WMLElementImpl`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.